# Organizational Unit Members

> **ALPHA**

Returns a list of all members of an Organizational Unit.

Authentication uses a `client_secret` of an [Internal Application](/developers/application-management/internal-applications/index.md) linked to the Organizational Unit.

#### URL format
```
{data_center_url}/v1/organizational_unit_members
```

#### Example Request
```http
GET /v1/organizational_unit_members HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
    "organizational_unit_members": [
        {
            "sub": "acc_61815034636bd5c5ce4edd0d",
            "email": "marty@evenitron.com",
            "roles": [
                "owner"
            ],
            "scheduler": {
                "enabled": true,
                "public_url": null
            }
        },
        {
            "sub": "acc_61815038636bd5c5ce4edd14",
            "email": "doc@evenitron.com",
            "roles": [
                "member"
            ],
            "scheduler": {
                "enabled": true,
                "public_url": "https://app.cronofy.com/pls/Eetyjuy0"
            }
        }
    ],
    "pages": {
        "current": 1,
        "total": 1
    }
}
```

#### Request Parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
#### Response parameters
##### `organizational_unit_members.sub`

This specifies the internal Cronofy ID for the Account, as an ASCII-only [`String`](/developers/api/data-types/index.md).

##### `organizational_unit_members.email`

The primary email address for the Account.

##### `organizational_unit_members.roles`

An array of [`String`](/developers/api/data-types/index.md) values indicating the roles that the member has within the Organizational Unit.

Current possible values

- `member`

- `developer`

- `developer_admin`

- `owner`

##### `organizational_unit_members.scheduler.enabled`

[`Boolean`](/developers/api/data-types/index.md) indicating whether the Account has the Scheduler enabled for this Organizational Unit.

##### `organizational_unit_members.scheduler.public_url`

URL [`String`](/developers/api/data-types/index.md) for the Account's public Scheduler link.

This is `null` when the Account doesn't have a public Scheduler link enabled.



---
[Read in HTML](/developers/api-alpha/organizational-unit-members/)